Bug 235895 - (perl-Text-Aspell) Review Request: perl-Text-Aspell - spell check interface for perl
Review Request: perl-Text-Aspell - spell check interface for perl
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-04-10 13:41 EDT by Jerry James
Modified: 2007-12-21 14:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-20 16:48:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Jerry James 2007-04-10 13:41:16 EDT
Spec URL: http://www.cs.usu.edu/~jerry/Projects/RPMS/perl-Text-Aspell/perl-Text-Aspell.spec
SRPM URL: http://www.cs.usu.edu/~jerry/Projects/RPMS/perl-Text-Aspell/perl-Text-Aspell-0.07-1.src.rpm
This module provides a Perl interface to the GNU Aspell library.  This module is to meet the need of looking up many words, one at a time, in a single session, such as spell-checking a document in memory.

I need this package to enable the spell-checking facility in moodle.  Rpmlint produces no output on either the binary or the source RPM.  There is no distinct license file, but the man page describes the licensing terms.
Comment 1 Chris Weyl 2007-04-15 19:11:05 EDT
A couple comments --

*the canonical way to indicate requirements against perl modules is to cite the
perl module itself, rather than the package (e.g. perl(Test::Pod) vs perl-Test-Pod)
*due to the impending-maybe-sometime-who-knows perl/devel split, there are a
couple deps that have to be listed as explicit BR's: perl(ExtUtils::MakeMaker),
* typically, the license is written as "GPL or Artistic", rathern than "Artistic
or GPL" (don't ask me -- just convention, really)
*Requires(check) is neat, but doesn't work correctly.  BuildRequires(check) just
might (or just plain BuildRequires).
Comment 2 Jerry James 2007-04-16 13:53:46 EDT
Thanks for the review, Chris.  I'll note that the perl package itself says its
license is "Artistic or GPL", so that's where I got it.  No big deal, though.  I
changed it to the order you indicated.  I've changed the BuildRequires to
reflect your other comments.  The new URLs are:

Spec URL:
Comment 3 Chris Weyl 2007-04-16 23:06:29 EDT
Have you posted them yet? :)  I seem to be getting a 404 on that srpm...
Comment 4 Jerry James 2007-04-17 11:54:40 EDT
Oops.  Me and my fumble fingers.  The SRPM now has the name I posted earlier.
Comment 5 Chris Weyl 2007-04-17 12:02:55 EDT
Mondays, bah :)

I'll take a look at it later on today, unless anyone else gets to it first...
Comment 6 Chris Weyl 2007-04-17 23:21:04 EDT
I question the explicit dependency on the aspell package, as the resulting
binary rpm has a versioned library dependency aspell provides.  However, it
does not appear to be a blocker.

+ source files match upstream:
a456444cb3320634e218426273227cb4  Text-Aspell-0.07.tar.gz
a456444cb3320634e218426273227cb4  ../Text-Aspell-0.07.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  (GPL or Artistic) License text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
+ debuginfo package looks complete.
+ rpmlint is silent.
O final provides and requires are sane:
** perl-Text-Aspell-0.07-2.fc6.x86_64.rpm
== rpmlint
== provides
perl(Text::Aspell) = 0.07
perl-Text-Aspell = 0.07-2.fc6
== requires
aspell >= 0.50.1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
** perl-Text-Aspell-debuginfo-0.07-2.fc6.x86_64.rpm
== rpmlint
== provides
perl-Text-Aspell-debuginfo = 0.07-2.fc6
== requires
+ %check is present and all tests pass:
All tests successful.
Files=3, Tests=19,  0 wallclock secs ( 0.19 cusr +  0.06 csys =  0.25 CPU)
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.

Comment 7 Jerry James 2007-04-19 10:51:13 EDT
Thanks, Chris.

New Package CVS Request
Package Name: perl-Text-Aspell
Short Description: Perl interface to the GNU Aspell library
Owners: Jerry.James@usu.edu
Branches: FC-5 FC-6
Comment 8 Jerry James 2007-12-21 12:54:34 EST
Package Change Request
Package Name: perl-Text-Aspell
New Branches: EL-5

An EPEL branch for this package has been requested, since it is required for
moodle, which has also been requested.

Comment 9 Kevin Fenzi 2007-12-21 14:43:13 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.